import com.opencsv.CSVReader;
import com.opencsv.exceptions.CsvValidationException;
import org.ejml.simple.SimpleMatrix;

import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class Utilities {
    public static SimpleMatrix ones(int rows, int columns) {
        SimpleMatrix mat = new SimpleMatrix(rows, columns);
        Arrays.fill(mat.getDDRM().data, 1);
        return mat;
    }

    public static List<List<String>> readCSV(String filename) {
        List<List<String>> entries = new ArrayList<>();
        try (CSVReader csvReader = new CSVReader(new FileReader(filename))) {
            String[] values;
            while ((values = csvReader.readNext()) != null) {
                entries.add(Arrays.asList(values));
            }
            return entries;
        } catch (IOException e) {
            System.out.println(filename + " does not exist");
        } catch (CsvValidationException e) {
            System.out.println("Invalid line in " + filename);
        }
        return null;
    }
}
